Subject: bug#8597: horrible default colors for emacs -nw

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Apr 2011 20:21:02 +0300

> From: "Drew Adams" <[email-masked]>
> Date: Sat, 30 Apr 2011 09:09:03 -0700
> 
> 1. The region is a dark blue that does not invert the black foreground.

It never did.  If we want to change the foreground, we need to specify
it for the `region' face.

> So selected text is illegible.

What foreground color is the selected text, and what is the background
of the `default' face?

In fact, could you please provide a recipe starting from "emacs -Q -nw"?

> 2. When sending a bug report the To and Subject lines have yellow text (on a
> white background).  Illegible.  Other text, such as "--text follows this line--"
> is cyan on white - also too light a color to be legible.

How did you get to the white background?  The default background of
"emacs -nw" on Windows is black.  Again, please provide a full recipe.

If I start with "emacs -Q -nw", then change the fore- and back-ground
colors of the `default' face to black and white, respectively (so at
least my background is as yours), then type "M-x report-emacs-bug", I
get the `message-header-name' whose foreground is "corneflower blue"
(mapped to cyan), not yellow.  And the "--text follows this line--"
part is shown in brown (displays as a kind of light yellowish color).
They are quite legible (although the white background is too glaring
to my taste; but then it isn't the default).  But you describe
entirely different colors.

> 3. About the only reasonable color used for sending a bug report is for the
> field names (e.g. From:) - that uses a dark green. All the rest is ridiculous:
> magenta, yellow, light cyan foregrounds on a white background - by default?
> What were you thinking?

I don't know what were "we" thinking, because I don't see any of these
colors when I try to reproduce this.  Would you please show a complete
recipe, starting from "emacs -Q -nw", to reproduce these problems?